## GwyLayerPoint

GwyLayerPoint — Data view layer for point-wise selections

## Functions

GwyVectorLayer * | gwy_layer_point_new ()
gboolean | gwy_layer_point_get_draw_marker ()
void | gwy_layer_point_set_draw_marker ()
gboolean | gwy_layer_point_get_draw_as_vector ()
void | gwy_layer_point_set_draw_as_vector ()
gboolean | gwy_layer_point_get_numbered ()
void | gwy_layer_point_set_numbered ()
gdouble | gwy_layer_point_get_marker_radius ()
void | gwy_layer_point_set_marker_radius ()

## Properties

gboolean | draw-as-vector | Read / Write
gboolean | draw-marker | Read / Write
double | marker-radius | Read / Write
gboolean | numbered | Read / Write

## Types and Values

struct | GwyLayerPoint
struct | GwyLayerPointClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GwyDataViewLayer
                ╰── GwyVectorLayer
                    ╰── GwyLayerPoint

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyLayerPoint allows selection of individual points. It uses GwySelectionPoint selection type.

## Functions

### gwy_layer_point_new()

    GwyVectorLayer *
    gwy_layer_point_new (void);

Creates a new point vector layer.

#### Returns

A newly created point vector layer.

### gwy_layer_point_get_draw_marker()

    gboolean
    gwy_layer_point_get_draw_marker (GwyLayerPoint *layer);

Reports whether a point vector layer is drawn with visible markers.

#### Parameters

layer | A point vector layer. |

#### Returns

`TRUE` if points are drawn with visible markers; `FALSE` for invisible points.

### gwy_layer_point_set_draw_marker()

    void
    gwy_layer_point_set_draw_marker (GwyLayerPoint *layer,
                                     gboolean draw_marker);

Sets whether a point vector layer is drawn with visible markers.

The marker size can be set using `gwy_layer_point_set_marker_radius()`.

#### Parameters

layer | A point vector layer. |
draw_marker | `TRUE` to draw visible markes for the points; `FALSE` to not draw any markers. |

### gwy_layer_point_get_draw_as_vector()

    gboolean
    gwy_layer_point_get_draw_as_vector (GwyLayerPoint *layer);

Reports whether a point vector layer is drawn as vectors from image centre.

#### Parameters

layer | A point vector layer. |

#### Returns

`TRUE` if points are drawn as vectors from the image centre; `FALSE` for normal points.

### gwy_layer_point_set_draw_as_vector()

    void
    gwy_layer_point_set_draw_as_vector (GwyLayerPoint *layer,
                                        gboolean draw_as_vector);

Sets whether a point vector layer is drawn as vectors from image centre.

#### Parameters

layer | A point vector layer. |
draw_as_vector | `TRUE` to draw points as lines from image centre; `FALSE` for normal points. |

### gwy_layer_point_get_numbered()

    gboolean
    gwy_layer_point_get_numbered (GwyLayerPoint *layer);

Reports whether a point vector layer has visibly numbered points.

#### Parameters

layer | A point vector layer. |

#### Returns

`TRUE` if point numbers are shown; `FALSE` if point numbers are not shown.

### gwy_layer_point_set_numbered()

    void
    gwy_layer_point_set_numbered (GwyLayerPoint *layer,
                                  gboolean numbered);

Sets whether a point vector layer has visibly numbered points.

#### Parameters

layer | A point vector layer. |
numbered | `TRUE` to show point numbers; `FALSE` to not show point numbers. |

### gwy_layer_point_get_marker_radius()

    gdouble
    gwy_layer_point_get_marker_radius (GwyLayerPoint *layer);

Gets the marker radius of a point vector layer.

#### Parameters

layer | A point vector layer. |

#### Returns

The radius of the circular marker.

### gwy_layer_point_set_marker_radius()

    void
    gwy_layer_point_set_marker_radius (GwyLayerPoint *layer,
                                       gdouble marker_radius);

Sets the radius of the marker around points of a point vector layer.

The marker also needs to be enabled using `gwy_layer_point_set_draw_marker()` to be visible.

#### Parameters

layer | A point vector layer. |
marker_radius | Radius of cicular marker around the points. |

## Types and Values

### struct GwyLayerPoint

    struct GwyLayerPoint;

### struct GwyLayerPointClass

    struct GwyLayerPointClass {
        GwyVectorLayerClass parent_class;
    };

## Property Details

### The `“draw-as-vector”` property

      “draw-as-vector”           gboolean

Whether to draw makers as lines from the origin.

Owner: GwyLayerPoint

Flags: Read / Write

Default value: FALSE

### The `“draw-marker”` property

      “draw-marker”              gboolean

Whether to draw point markers.

Owner: GwyLayerPoint

Flags: Read / Write

Default value: TRUE

### The `“marker-radius”` property

      “marker-radius”            double

Radius of marker if it is drawn.

Owner: GwyLayerPoint

Flags: Read / Write

Allowed values: [0,1024]

Default value: 0

### The `“numbered”` property

      “numbered”                 gboolean

Whether to show point numbers.

Owner: GwyLayerPoint

Flags: Read / Write

Default value: FALSE